package org.project.entity.players;

import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;

public class Assassin extends Player {
        private static int DEFAULT_HP = 80;
    private static int DEFAULT_MP = 100;
    private static Sword DEFAULT_WEAPON = new Sword();
    private static String DEFAULT_NAME = "Hasan";
    private static int DEFAULT_HEAL_MANA_COST = 20;
    private static int DEFAULT_DEFEND_MANA_COST = 15;

    public Assassin() {
        super(DEFAULT_NAME, DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }
    public Assassin(String name) {
        super(name, DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }

    public Assassin(String name, int hp, int mp, Weapon weapon,
                  int healManaCost, int defendManaCost) {
        super(name, hp, mp, weapon, healManaCost, defendManaCost);
    }



    @Override
    public String getType() {
        return "Assassin" ;
    }


}
